package com.ruoyi.system.service.impl.projectV2;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.projectV2.ZsyzQyxx;
import com.ruoyi.system.mapper.projectV2.ZsyzQyxxMapper;
import com.ruoyi.system.service.projectV2.IZsyzQyxxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 招商引资_签约信息Service业务层处理
 * 
 * @author boman
 * @date 2023-02-22
 */
@Service
public class ZsyzQyxxServiceImpl implements IZsyzQyxxService
{
    @Autowired
    private ZsyzQyxxMapper zsyzQyxxMapper;

    /**
     * 查询招商引资_签约信息
     * 
     * @param id 招商引资_签约信息ID
     * @return 招商引资_签约信息
     */
    @Override
    public ZsyzQyxx selectZsyzQyxxById(Long id)
    {
        return zsyzQyxxMapper.selectZsyzQyxxById(id);
    }

    /**
     * 查询招商引资_签约信息列表
     * 
     * @param zsyzQyxx 招商引资_签约信息
     * @return 招商引资_签约信息
     */
    @Override
    public List<ZsyzQyxx> selectZsyzQyxxList(ZsyzQyxx zsyzQyxx)
    {
        return zsyzQyxxMapper.selectZsyzQyxxList(zsyzQyxx);
    }

    /**
     * 新增招商引资_签约信息
     * 
     * @param zsyzQyxx 招商引资_签约信息
     * @return 结果
     */
    @Override
    public int insertZsyzQyxx(ZsyzQyxx zsyzQyxx)
    {
        zsyzQyxx.setCreateTime(DateUtils.getNowDate());
        return zsyzQyxxMapper.insertZsyzQyxx(zsyzQyxx);
    }

    /**
     * 修改招商引资_签约信息
     * 
     * @param zsyzQyxx 招商引资_签约信息
     * @return 结果
     */
    @Override
    public int updateZsyzQyxx(ZsyzQyxx zsyzQyxx)
    {
        zsyzQyxx.setUpdateTime(DateUtils.getNowDate());
        return zsyzQyxxMapper.updateZsyzQyxx(zsyzQyxx);
    }

    /**
     * 批量删除招商引资_签约信息
     * 
     * @param ids 需要删除的招商引资_签约信息ID
     * @return 结果
     */
    @Override
    public int deleteZsyzQyxxByIds(Long[] ids)
    {
        return zsyzQyxxMapper.deleteZsyzQyxxByIds(ids);
    }

    /**
     * 删除招商引资_签约信息信息
     * 
     * @param id 招商引资_签约信息ID
     * @return 结果
     */
    @Override
    public int deleteZsyzQyxxById(Long id)
    {
        return zsyzQyxxMapper.deleteZsyzQyxxById(id);
    }
}
